Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jta.hibernate3
Class AtomikosJTATransactionFactory

    java.lang.Object
      org.hibernate.transaction.JTATransactionFactory
          com.atomikos.icatch.jta.hibernate3.AtomikosJTATransactionFactory

All Implemented Interfaces:
  org.hibernate.transaction.TransactionFactory

    public class AtomikosJTATransactionFactory

extends org.hibernate.transaction.JTATransactionFactory

Atomikos-specific JTATransactionFactory implementation that does not rely on JNDI for standalone (JNDI-less) deployments.

To use Atomikos as the Hibernate JTA transaction manager, specify this class as the value of the hibernate.transaction.factory_class of the hibernate configuration properties.

Author:
  Les Hazlewood, Ludovic Orban

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.transaction.TransactionFactory
`org.hibernate.transaction.TransactionFactory.Context`

Field Summary

Fields inherited from class org.hibernate.transaction.JTATransactionFactory
`context, utName`

Constructor Summary
`AtomikosJTATransactionFactory()`

Method Summary
`void` | `configure(Properties props)`
`protected UserTransaction` | `getUserTransaction()`

Methods inherited from class org.hibernate.transaction.JTATransactionFactory
`areCallbacksLocalToHibernateTransactions, createTransaction, getDefaultReleaseMode, isTransactionInProgress, isTransactionManagerRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtomikosJTATransactionFactory

    public AtomikosJTATransactionFactory()

Method Detail

### configure

    public void configure(Properties props)
                   throws org.hibernate.HibernateException

  Specified by:
    `configure` in interface `org.hibernate.transaction.TransactionFactory`
  Overrides:
    `configure` in class `org.hibernate.transaction.JTATransactionFactory`
  Throws:
    `org.hibernate.HibernateException`

### getUserTransaction

    protected UserTransaction getUserTransaction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.